import BaseContainer from '../BaseContainer';
import './_roles.scss';
declare class Roles extends BaseContainer {
    props: any;
    state: any;
    tabs: any;
    validator: any;
    permissionTabs: any;
    static propTypes: any;
    constructor(props: any);
    componentDidMount(): Promise<void>;
    handleOnSort(data: any, column: any): Promise<void>;
    onFilterChange(data: any, field: any): Promise<void>;
    onFilterToggle(): Promise<void>;
    onFilterAction(data: any, action: any): Promise<void>;
    loadForms({ pageNo, sort, filter, pageSize }?: any): Promise<void>;
    handlePageChange(data: any): Promise<void>;
    onEditColumnToggle(): void;
    onEditColumnChange(data: any): void;
    handleTabChange(data: any): void;
    onRowClick(row: any): void;
    onGridAction(row: any, value: any, column: any): Promise<void>;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default Roles;
